biConnComp {RBGL} | R Documentation

## Compute biconnected components for a graph

### Description

Compute biconnected components for a graph

### Usage

    biConnComp(g)
    articulationPoints(g)

### Arguments

`g` | an instance of the `graph` class

### Details

A biconnected graph is a connected graph that remains connected when removing any one of its vertex and all the edges incident on this vertex.

A biconnected component of a graph is a subgraph which is biconnected. An integer label is assigned to each edge to indicate which biconnected component it's in.

A vertex is an articulation point in the graph when removing it, the number of connected components in the graph will increase.

See documentation in Boost Graph Library for more details.

### Value

For `biConnComp`:

`no. of biconnected components` | number of biconnected components in the graph
`biconnected components` | component label for each edge in the graph
`no. of articulation points` | number of articulation points in the graph
`articulation points` | list of articulation points in the graph

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

### Examples

    coex <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL"), open="r"))
    biConnComp(coex)
    articulationPoints(coex)

[Package RBGL version 1.10.0 Index]